<?php


namespace AutoAdmin\Bundle\Menu\Entity;


use AutoAdmin\Bundle\Content\Entity\AbstractTranslation;
use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Serializer\Annotation\Groups;

#[ORM\Entity]
class MenuItemTranslation extends AbstractTranslation
{
    #[Groups(['group_ajax'])]
    #[ORM\Column(type: Types::STRING, length: 255)]
    protected string $label = '';

    public function getLabel(): ?string
    {
        return $this->label;
    }

    public function setLabel(?string $label): void
    {
        $this->label = $label;
    }
}
